> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 紅包 - 建立

> 建立指定金額和數量的新紅包



## OpenAPI

````yaml /zh-Hant/api-reference/openapi-data-zh-Hant.yaml POST /v2/redpacket/{chain}/create
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: 區塊鏈相關操作
  - name: Token
    description: 代幣相關操作
  - name: Trade
    description: 交易相關操作
  - name: Wallet
    description: 錢包相關操作
  - name: Dex
    description: DEX 相關操作
  - name: Ranking
    description: 排行榜相關操作
  - name: DexPool
    description: DEX 池子相關操作
  - name: Watchlist
    description: 關注列表相關操作
  - name: KYT
    description: KYT 相關操作
  - name: Webhook
    description: Webhook 相關操作
  - name: RedPacket
    description: 紅包相關操作
  - name: IPFS
    description: IPFS 相關操作
  - name: DexScreener
    description: DexScreener 相關操作
paths:
  /v2/redpacket/{chain}/create:
    post:
      tags:
        - RedPacket
      summary: 紅包 - 建立
      description: 建立指定金額和數量的新紅包
      operationId: create.redpacket
      parameters:
        - name: chain
          in: path
          description: 支援網路列表中的鏈名稱
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRedPacketRequest'
        required: true
      responses:
        '200':
          description: 成功回應
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateRedPacketResponse'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    CreateRedPacketRequest:
      type: object
      description: 建立者錢包地址
      required:
        - creator
        - mint
        - maxClaims
      properties:
        claimAuthority:
          type:
            - string
            - 'null'
          description: 領取授權地址
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        creator:
          type: string
          description: 建立者錢包地址
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        expiration:
          type:
            - integer
            - 'null'
          format: int64
          description: 過期時間（秒）
          example: 24
        fixedAmount:
          type:
            - string
            - 'null'
          description: 每次領取的固定金額
          example: '1000000000'
        maxClaims:
          type: integer
          format: int32
          description: 最大領取次數
          example: 10
        memo:
          type:
            - string
            - 'null'
          description: 紅包留言
          example: Happy Red Packet
        mint:
          type: string
          description: 代幣鑄造地址
          example: Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB
        password:
          type:
            - string
            - 'null'
          description: 紅包領取密碼
          example: '123456'
        totalAmount:
          type:
            - string
            - 'null'
          description: 紅包總金額
          example: '1000000000'
    CreateRedPacketResponse:
      type: object
      description: Create red packet response
      required:
        - txSerialize
        - shareId
      properties:
        shareId:
          type: string
          description: 分享標識
          example: abc123
        txSerialize:
          type: string
          description: 序列化交易資料
          example: AQAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABAAEDRg...
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````